/* This subroutine reserves storage in memory */

#include <stdio.h>
#include "xasm.h"

void ds( char *label, char *opcode, char *operand, char *lptr )
{
int value;

labproc( label );

if ( (value = atoh( proper( label, opcode, operand, NULL ) ) ) == -1 )
   xerror( "ds: Error in Conversion." );
locinc = value; /* Set up to increment location counter */
printl( (long) loc, NULL, 0, lptr );
}
